Subject: bug#36573: 26.1; bufferpos-to-filepos assumes coding-system-eol-type gives integer

From: Eli Zaretskii <[email-masked]>
Date: Thu, 12 Aug 2021 16:08:05 +0300

> From: Lars Ingebrigtsen <[email-masked]>
> Cc: [email-masked],  [email-masked]
> Date: Thu, 12 Aug 2021 14:54:51 +0200
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> > I think, since these cases are very rare, it should be okay to assume
> > the -unix EOL type when this happens, and document that if this is the
> > case, the result could be an approximation even if the exact result
> > was requested.
> 
> It is a rare odd corner case, but I think erroring out is a better
> solution here than having to document this.  :-)  `exact' meaning
> "exact" is easier conceptually.

Fine with me, but I think we will still need to say in the doc string
something like

  It is an error to request the `exact' method when the buffer's EOL
  format is not yet decided.